﻿using UnityEngine;
using System.Collections;

public class PlayerController2 : MonoBehaviour {

	public float MaxSpeed = 1.0f;
	public float Accell = 0.1f;
	public float Handle = 3.0f;

	Rigidbody m_rigidBody;
	float m_accell = 0;

	// Use this for initialization
	void Start () {
		m_rigidBody = transform.GetComponent<Rigidbody> ();
	}
	
	// Update is called once per frame
	void Update () {

		if (Input.GetKey (KeyCode.UpArrow)) {
			m_accell += Accell;
			if (m_accell > MaxSpeed) {
				m_accell = MaxSpeed;
			}
		} else {
			m_accell -= Accell;
			if (m_accell < 0) {
				m_accell = 0;
			}
		}


		Vector3 rot = transform.rotation.eulerAngles;
		if (Input.GetKey (KeyCode.RightArrow)) {
			rot.y += Handle;
		}
		if (Input.GetKey (KeyCode.LeftArrow)) {
			rot.y -= Handle;

		}
		transform.rotation = Quaternion.Euler (rot);

		transform.position += transform.TransformDirection (Vector3.forward) * m_accell;

	}
}
